import unittest
from datetime import datetime

from common.utils.lookup.data import Data, GroupComputeRelationshipConfigEntity


class TestData(unittest.TestCase):
    def setUp(self):
        self.data = Data()

    def test_entity_to_info(self):
        entity = GroupComputeRelationshipConfigEntity(
            computeid="compute 1",
            groupid="group 1",
            siteid="site 1",
            version=1,
            create_time=int(datetime.now().timestamp() * 1000),
            delete_time=0
        )

        info = self.data._entity_to_info(entity)
        self.assertEqual(entity.computeid, info.compute_id)
        self.assertEqual(entity.groupid, info.group_id)
        self.assertEqual(entity.siteid, info.site_id)
        self.assertEqual(entity.version, info.version)
        self.assertEqual(entity.create_time, info.create_time)
        self.assertEqual(entity.delete_time, info.delete_time)
