import unittest

from common.utils.userconfig import data


class TestData(unittest.TestCase):
    def setUp(self):
        self.data = data.Data()

    def test_entity_to_info(self):
        site_id = "site id 1"
        name = "traffic drop"
        org_id = "default org"
        version = "v1"
        last_modified_time = 1234
        enabled = True
        silent = False
        source = "detector source"
        block = False
        block_confidence_threshold = 90
        mitre_tactics = ["tactic 1", "tactic 2"]
        mitre_techniques = ["technique 1"]
        settings = {"detectorSettings": [{"sensitivity": 50.0, "settingName": "SENSITIVITY", "discriminator": "SENSITIVITY"}, {
            "discriminator": "AGGREGATION_INTERVAL", "aggregationIntervalType": "UTC_DAY"}]}
        exclusion_settings = {"exclusions": [{"type": "VM", "label": "DESTINATION", "excludedItemsInfo": {"value": {"java.util.Collections$EmptyList": []}, "excludedItems": ["vm1"]}}, {
            "type": "GROUP", "label": "DESTINATION", "excludedItemsInfo": {"value": {"java.util.Collections$EmptyList": []}, "excludedItems": []}}]}
        run_status = {"statusLabel": "NOT_STARTED", "lastSuccessfulRuntime": 0, "maxBaselineDurationDays": 0, "remainingBaselineDurationDays": 0,
                      "checkpointTime": 0, "message": ""}

        settings_res = data.DetectorSettings([data.SensitivityMeterSetting(
            50.0), data.EventStoreAggregationIntervalSetting(data.AggregationIntervalType.UTC_DAY)])
        exclusion_settings_res = data.AnomalyExclusionSettings(
            [data.AnomalyExclusionSetting(data.ExclusionLabel.DESTINATION, data.ExcludedItemsInfo(["vm1"]), data.ExclusionTypeInfo.VM), data.AnomalyExclusionSetting(data.ExclusionLabel.DESTINATION, data.ExcludedItemsInfo([]), data.ExclusionTypeInfo.GROUP)])
        run_status_res = data.DetectorRunStatus(data.DetectorStatusLabel.NOT_STARTED, 0, 0, 0, 0, "")

        entity = data.UserConfigEntity(
            site_id,
            name,
            org_id,
            version,
            last_modified_time,
            enabled,
            silent,
            source,
            block,
            block_confidence_threshold,
            mitre_tactics,
            mitre_techniques,
            settings,
            exclusion_settings,
            run_status
        )

        info = data.UserConfigInfo(
            site_id,
            name,
            org_id,
            version,
            last_modified_time,
            enabled,
            silent,
            source,
            block,
            block_confidence_threshold,
            mitre_tactics,
            mitre_techniques,
            settings_res,
            exclusion_settings_res,
            run_status_res
        )

        self.assertEqual(info, self.data._entity_to_info(entity))
