from common.utils import logging
from common.utils.appinfo import data
from common.utils.appinfo.data import AppIdProtocol, AppNameStandardPort


class AppInfoError(Exception):
    pass


class AppInfoService:
    logger = logging.get_common_logger(__name__)

    def __init__(self):
        self._data = data.Data()

    def get_app_info(self) -> dict[AppIdProtocol, AppNameStandardPort]:
        try:
            AppInfoService.logger.info("retrieving appinfo")
            return self._data.get_app_info()
        except Exception as e:
            raise AppInfoError("an error occurred fetching app info") from e
