import os

from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    BASELINE_BUCKET = GlobalConfig.CONFIG.get(
        "BASELINE", "BUCKET", fallback="nta-detector-checkpoint")

    MINIO_HOST = GlobalConfig.CONFIG.get(
        "BASELINE", "MINIO_HOST", fallback="minio:9000")

    MINIO_ACCESS_KEY_ID = os.getenv("MINIO_ACCESS_KEY", "")

    MINIO_SECRET_KEY = os.getenv("MINIO_SECRET_KEY", "")

    MINIO_SSL_CA_LOCATION = GlobalConfig.CONFIG.get(
        "BASELINE", "KAFKA_SSL_CA_LOCATION", fallback="/etc/nsxi/store/ca.crt")

    MINIO_SSL_CERTIFICATE_LOCATION = GlobalConfig.CONFIG.get(
        "BASELINE", "KAFKA_SSL_CERTIFICATE_LOCATION", fallback="/etc/nsxi/store/tls.crt")

    MINIO_SSL_KEY_LOCATION = GlobalConfig.CONFIG.get(
        "BASELINE", "KAFKA_SSL_KEY_LOCATION", fallback="/etc/nsxi/store/tls.key")

    MINIO_SSL_KEY_PASSWORD = os.getenv("SSL_KEY_PASSWORD", "")

    MINIO_CLIENT_NUM_POOLS = GlobalConfig.CONFIG.get(
        "BASELINE", "MINIO_CLIENT_NUM_POOLS", fallback="3")
