import configparser
import os


class Config:
    CONFIG_FILE_PATH = os.getenv(
        "CONFIG_FILE_PATH", "/opt/vmware/pace/config/application.ini")
    CONFIG = configparser.ConfigParser()
    CONFIG.read(CONFIG_FILE_PATH)

    ORG_ID = os.getenv("TENANT_ORG_ID", "default")

    LOGGING_LEVEL = CONFIG.get("LOGGING", "LEVEL", fallback="INFO")

    LOGGING_FORMAT = CONFIG.get(
        "LOGGING", "FORMAT", fallback="%(asctime)s - [%(threadName)s] -  %(name)s - %(levelname)s - %(message)s")
