import os

from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    KAFKA_TOPIC = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_TOPIC", fallback="event-store-queue")

    KAFKA_BOOTSTRAP_SERVER = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_BOOTSTRAP_SERVER", fallback="nsxi-kafka-kafka-bootstrap:9093")

    KAFKA_SECURITY_PROTOCOL = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_SECURITY_PROTOCOL", fallback="ssl")

    KAFKA_SSL_CA_LOCATION = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_SSL_CA_LOCATION", fallback="/etc/nsxi/store/kafka/ca.crt")

    KAFKA_SSL_CERTIFICATE_LOCATION = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_SSL_CERTIFICATE_LOCATION", fallback="/etc/nsxi/store/kafka/user.crt")

    KAFKA_SSL_KEY_LOCATION = GlobalConfig.CONFIG.get(
        "EVENT", "KAFKA_SSL_KEY_LOCATION", fallback="/etc/nsxi/store/kafka/user.key")

    KAFKA_SSL_KEY_PASSWORD = os.getenv("KAFKA_SSL_KEY_PASSWORD", "")

    MAX_DATA_FLOWS = GlobalConfig.CONFIG.getint(
        "EVENT", "MAX_DATA_FLOWS", fallback=100
    )
