import logging

from common.utils.config import Config

CRITICAL = logging.CRITICAL
FATAL = logging.FATAL
ERROR = logging.ERROR
WARNING = logging.WARNING
WARN = logging.WARN
INFO = logging.INFO
DEBUG = logging.DEBUG
NOTSET = logging.NOTSET


def get_common_logger(name: str) -> logging.Logger:
    logger = logging.getLogger(name)
    logger.setLevel(Config.LOGGING_LEVEL)
    ch = logging.StreamHandler()
    ch.setLevel(Config.LOGGING_LEVEL)
    ch.setFormatter(logging.Formatter(Config.LOGGING_FORMAT))
    logger.addHandler(ch)
    return logger


def get_unformatted_logger(name: str) -> logging.Logger:
    logger = logging.getLogger(f"(unformatted) {name}")
    logger.setLevel(Config.LOGGING_LEVEL)
    ch = logging.StreamHandler()
    ch.setLevel(Config.LOGGING_LEVEL)
    ch.setFormatter(None)
    logger.addHandler(ch)
    return logger
