import os

from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    POSTGRES_DB_NAME = GlobalConfig.CONFIG.get(
        "LOOKUP", "POSTGRES_DB_NAME", fallback="pace")

    POSTGRES_USER = os.getenv("POSTGRES_USERNAME", "postgres")

    POSTGRES_PASSWORD = os.getenv("POSTGRES_PASSWORD", "")

    POSTGRES_HOST = os.getenv("POSTGRES_URL", "localhost")

    POSTGRES_PORT = GlobalConfig.CONFIG.get(
        "LOOKUP", "POSTGRES_PORT", fallback="5432")

    GROUP_COMPUTE_RELATIONSHIP_CONFIG_TABLE = GlobalConfig.CONFIG.get(
        "LOOKUP", "GROUP_COMPUTE_RELATIONSHIP_CONFIG_TABLE", fallback="groupcomputerelationshipconfig")

    FLOW_DATA_SOURCE = GlobalConfig.CONFIG.get(
        "LOOKUP", "FLOW_DATA_SOURCE", fallback="correlated_flow_viz")

    FLOW_QUERY_GRANULARITY = GlobalConfig.CONFIG.get(
        "LOOKUP", "FLOW_QUERY_GRANULARITY", fallback="all")
