import os

from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    POSTGRES_DB_NAME = GlobalConfig.CONFIG.get(
        "USERCONFIG", "POSTGRES_DB_NAME", fallback="pace")

    POSTGRES_USER = os.getenv("POSTGRES_USERNAME", "postgres")

    POSTGRES_PASSWORD = os.getenv("POSTGRES_PASSWORD", "")

    POSTGRES_HOST = os.getenv("POSTGRES_URL", "localhost")

    POSTGRES_PORT = GlobalConfig.CONFIG.get(
        "USERCONFIG", "POSTGRES_PORT", fallback="5432")

    CONFIG_TABLE_NAME = GlobalConfig.CONFIG.get(
        "USERCONFIG", "CONFIG_TABLE_NAME", fallback="detector")
